## oce 0.9.1

=== CMakeLists.txt ===
# REQUIREMENTS: this script needs CMake 2.8 or higher. Downloads are available at http://www.cmake.org

# How to build OCE using CMake under Unix (Linux, Darwin etc.)?
# 1. Copy this file, as-is, to the top-level OCE folder
# 2. Make a build directory somewhere outside the OCE source tree
# 3. cmake "relative/path/to/OCE"
# 4. make
# 5. make install (or sudo make install)

# How to build OCE using CMake under Windows (Linux, Darwin etc.)?
# 1. Copy this file, as-is, to the top-level folder
# 2. Launch the cmake-gui, and select the top-level folder
# 3. You can choose whatever you want as an install directory
# 4. Click 'Configure'
# 5. Choose your generator
# 6. When configure is achived, you can change the variable with a red background
# 7. Click 'Generate'
# 8. From your IDE, open the generated makefile and run the compilation.

PROJECT(OCE)

SET(OCE_VERSION_MAJOR 0)
SET(OCE_VERSION_MINOR 9)
SET(OCE_VERSION_PATCH 1)
#  Empty for official releases, set to -dev, -rc1, etc for development releases
SET(OCE_VERSION_DEVEL )

SET(OCE_VERSION ${OCE_VERSION_MAJOR}.${OCE_VERSION_MINOR}.${OCE_VERSION_PATCH}${OCE_VERSION_DEVEL})

SET(OCE_ABI_SOVERSION 2)
SET(OCE_ABI_VERSION ${OCE_ABI_SOVERSION}.0.0)

# Set the minimum version of cmake required to 2.6
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )

# Define helper macro OPTION_WITH_DEFAULT
MACRO( OPTION_WITH_DEFAULT OPTION_NAME OPTION_STRING OPTION_DEFAULT )
	IF( NOT DEFINED ${OPTION_NAME} )
		SET( ${OPTION_NAME} ${OPTION_DEFAULT} )
	ENDIF( NOT DEFINED ${OPTION_NAME} )
	OPTION( ${OPTION_NAME} "${OPTION_STRING}" ${${OPTION_NAME}} )
ENDMACRO( OPTION_WITH_DEFAULT OPTION_NAME OPTION_STRING OPTION_DEFAULT )

############################
# Check 32/64 bit platform #
############################
IF (${CMAKE_SIZEOF_VOID_P} MATCHES "8") # It is 64bit, otherwise 32 bit systems match 4
	ADD_DEFINITIONS(-D_OCC64)
	SET(BIT 64)
ELSE (${CMAKE_SIZEOF_VOID_P} MATCHES "8")
	SET(BIT 32)
ENDIF(${CMAKE_SIZEOF_VOID_P} MATCHES "8")

MESSAGE(STATUS "Build ${BIT}bit")

IF (NOT MSVC)
	IF( NOT DEFINED ${PROJECT_NAME}_BUILD_TYPE )
		SET( ${PROJECT_NAME}_BUILD_TYPE "Release" CACHE STRING "Build type" ) # By default set release build
	ENDIF( NOT DEFINED ${PROJECT_NAME}_BUILD_TYPE )
	SET( CMAKE_BUILD_TYPE ${${PROJECT_NAME}_BUILD_TYPE} CACHE INTERNAL "Build type,
		immutable" FORCE )
ENDIF(NOT MSVC)

IF(CMAKE_BUILD_TOOL STREQUAL "nmake")
	SET(NMAKE TRUE)
ENDIF(CMAKE_BUILD_TOOL STREQUAL "nmake")

IF(MSVC)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_INSTALL_PDB_FILES "Install PDB files (debug informations)" ON )
ENDIF(MSVC)

IF(MSVC)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_USE_BUNDLE "Use OCE Windows Bundle" OFF )
ENDIF(MSVC)

IF(BORLAND)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_INSTALL_TDS_FILES "Instal TDS files (debug informations)" ON )
ENDIF(BORLAND)

IF(${PROJECT_NAME}_USE_BUNDLE)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_BUNDLE_AUTOINSTALL "Autoinstall bundle DLLs" ON )
	MARK_AS_ADVANCED(${PROJECT_NAME}_BUNDLE_AUTOINSTALL)
ENDIF(${PROJECT_NAME}_USE_BUNDLE)

IF (MSVC AND NOT NMAKE)
	SET(${PROJECT_NAME}_COMPILER_SUPPORTS_PCH TRUE)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_USE_PCH "Use Precompiled Headers" ON )
	MARK_AS_ADVANCED(${PROJECT_NAME}_USE_PCH)
ENDIF(MSVC AND NOT NMAKE)

OPTION_WITH_DEFAULT( ${PROJECT_NAME}_BUILD_SHARED_LIB "Build shared ${PROJECT_NAME} libs" ON )
IF(NOT MSVC)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_DISABLE_X11 "Disable components requiring X11 support" OFF )
	IF(NOT APPLE AND NOT WIN32)
		MARK_AS_ADVANCED(${PROJECT_NAME}_DISABLE_X11)
	ENDIF(NOT APPLE AND NOT WIN32)
ENDIF(NOT MSVC)
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_MODEL "Build model components" ON )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_OCAF "Build application framework" ON )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_DATAEXCHANGE "Build data exchange" ON )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_DRAW "Build test harness \(DRAW\)" OFF )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_VISUALISATION "Build visualisation component" ON )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_WITH_GL2PS "Build with GL2PS" OFF )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_WITH_FREEIMAGE "Build with FreeImage" OFF )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_EXTRA_WARNINGS "Enable Maximum Warnings Level" OFF )
MARK_AS_ADVANCED(${PROJECT_NAME}_EXTRA_WARNINGS)
IF( NOT "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8 )
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_TESTING "Enable unittesting framework" OFF )
	MARK_AS_ADVANCED(${PROJECT_NAME}_TESTING)
ENDIF( NOT "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8 )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_ADD_HEADERS "Add headers to project files" OFF )
MARK_AS_ADVANCED(${PROJECT_NAME}_ADD_HEADERS)
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_DISABLE_BSPLINE_MESHER "Disable BSpline Mesher" OFF )
MARK_AS_ADVANCED(${PROJECT_NAME}_DISABLE_BSPLINE_MESHER)
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_RPATH_FILTER_SYSTEM_PATHS "Filter out system paths from RPATH" ON )
MARK_AS_ADVANCED(${PROJECT_NAME}_RPATH_FILTER_SYSTEM_PATHS)

# The default for the DEB define is ON for all the platforms , in debug mode.
# In MSVC it is not desirable to have it ON by default, since users must 
# compile/use the OCE debug libraries to build it's own programs in DEBUG mode.
# DEB should be enabled by developers only, in this case
IF ((MSVC OR BORLAND) AND CMAKE_CONFIGURATION_TYPES)
  SET (DEB_DEFAULT "OFF")
ELSE ()
   SET (DEB_DEFAULT "ON")
ENDIF ((MSVC OR BORLAND) AND CMAKE_CONFIGURATION_TYPES)

OPTION_WITH_DEFAULT( ${PROJECT_NAME}_ENABLE_DEB_FLAG "Enables DEB define in debug configuration" ${DEB_DEFAULT} )
MARK_AS_ADVANCED(${PROJECT_NAME}_ENABLE_DEB_FLAG)

IF(NOT MSVC)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_COVERAGE "Build with coverage testing" OFF )
	MARK_AS_ADVANCED(${PROJECT_NAME}_COVERAGE)
ENDIF(NOT MSVC)

IF( NOT DEFINED ${PROJECT_NAME}_MULTITHREAD_LIBRARY)
	SET( ${PROJECT_NAME}_MULTITHREAD_LIBRARY "NONE" CACHE STRING "(values are: NONE TBB OPENMP)" )
ENDIF( NOT DEFINED ${PROJECT_NAME}_MULTITHREAD_LIBRARY)

IF( NOT "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8 )
	SET_PROPERTY(CACHE ${PROJECT_NAME}_MULTITHREAD_LIBRARY PROPERTY STRINGS NONE TBB OPENMP)
ENDIF( NOT "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8 )

OPTION( ${PROJECT_NAME}_MULTITHREAD_LIBRARY "Multithread library" ${${PROJECT_NAME}_MULTITHREAD_LIBRARY} )

IF( ${PROJECT_NAME}_MULTITHREAD_LIBRARY STREQUAL "TBB" )
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_TBB_MALLOC_SUPPORT "Use TBB for memory allocation" ON )
ENDIF( ${PROJECT_NAME}_MULTITHREAD_LIBRARY STREQUAL "TBB" )

IF( NOT DEFINED ${PROJECT_NAME}_INSTALL_PREFIX )
	IF( WIN32 )
		SET(${PROJECT_NAME}_INSTALL_PREFIX
			"c:/${PROJECT_NAME}-${${PROJECT_NAME}_VERSION}")
	ELSE( WIN32 )
		SET(${PROJECT_NAME}_INSTALL_PREFIX
			"/usr/local")
	ENDIF( WIN32 )
ENDIF( NOT DEFINED ${PROJECT_NAME}_INSTALL_PREFIX )

SET( ${PROJECT_NAME}_INSTALL_PREFIX ${${PROJECT_NAME}_INSTALL_PREFIX} CACHE
	PATH "Install prefix prepended to target to create install location" )
SET( CMAKE_INSTALL_PREFIX "${${PROJECT_NAME}_INSTALL_PREFIX}" CACHE INTERNAL "Prefix
	prepended to install directories if target destination is not absolute,
	immutable" FORCE )

IF( ${PROJECT_NAME}_BUILD_SHARED_LIB )
	SET( ${PROJECT_NAME}_LIBRARY_TYPE SHARED )
	SET( ${PROJECT_NAME}_BUILD_STATIC_LIB FALSE )
ELSE( ${PROJECT_NAME}_BUILD_SHARED_LIB )
	SET( ${PROJECT_NAME}_LIBRARY_TYPE STATIC )
	SET( ${PROJECT_NAME}_BUILD_STATIC_LIB TRUE )
	IF ( WIN32 )
		ADD_DEFINITIONS("-DHAVE_NO_DLL")
	ENDIF( WIN32 )
ENDIF( ${PROJECT_NAME}_BUILD_SHARED_LIB )

# MSVC specific options
IF(MSVC_IDE)
	IF (NOT DEFINED ${PROJECT_NAME}_USE_MSVC_EXPRESS )
		SET (${PROJECT_NAME}_USE_MSVC_EXPRESS OFF)
	ENDIF (NOT DEFINED ${PROJECT_NAME}_USE_MSVC_EXPRESS)
	OPTION( ${PROJECT_NAME}_USE_MSVC_EXPRESS "Use a Visual C++ express IDE"
		${${PROJECT_NAME}_USE_MSVC_EXPRESS} )
ENDIF(MSVC_IDE)

SET_DIRECTORY_PROPERTIES(PROPERTIES COMPILE_DEFINITIONS_RELEASE NDEBUG)
SET_DIRECTORY_PROPERTIES(PROPERTIES COMPILE_DEFINITIONS_MINSIZEREL NDEBUG)
SET_DIRECTORY_PROPERTIES(PROPERTIES COMPILE_DEFINITIONS_RELWITHDEBINFO  NDEBUG)

IF(${PROJECT_NAME}_ENABLE_DEB_FLAG)
  SET_DIRECTORY_PROPERTIES(PROPERTIES COMPILE_DEFINITIONS_DEBUG "DEB=1;_DEBUG")
ELSE ()
  SET_DIRECTORY_PROPERTIES(PROPERTIES COMPILE_DEFINITIONS_DEBUG "_DEBUG")
ENDIF (${PROJECT_NAME}_ENABLE_DEB_FLAG)

#
# Check components dependencies
#
SET(${PROJECT_NAME}_FOUNDATION TRUE)
IF(${PROJECT_NAME}_OCAF OR ${PROJECT_NAME}_DATAEXCHANGE OR ${PROJECT_NAME}_VISUALISATION OR ${PROJECT_NAME}_DRAW)
  SET(${PROJECT_NAME}_VISU_DEP TRUE)
ELSE(${PROJECT_NAME}_OCAF OR ${PROJECT_NAME}_DATAEXCHANGE OR ${PROJECT_NAME}_VISUALISATION OR ${PROJECT_NAME}_DRAW)
  SET(${PROJECT_NAME}_VISU_DEP FALSE)
ENDIF(${PROJECT_NAME}_OCAF OR ${PROJECT_NAME}_DATAEXCHANGE OR ${PROJECT_NAME}_VISUALISATION OR ${PROJECT_NAME}_DRAW)
IF(${PROJECT_NAME}_DISABLE_X11)
	SET(${PROJECT_NAME}_VISU_DEP FALSE)
ENDIF(${PROJECT_NAME}_DISABLE_X11)
IF(${PROJECT_NAME}_DISABLE_X11)
	SET(${PROJECT_NAME}_DRAW OFF CACHE BOOL "Build DRAWEXE" FORCE)
	SET(${PROJECT_NAME}_VISUALISATION OFF CACHE BOOL "Build visualisation component" FORCE)
ENDIF(${PROJECT_NAME}_DISABLE_X11)

IF(NOT ${PROJECT_NAME}_BUILD_SHARED_LIB AND ${PROJECT_NAME}_DRAW)
	SET(${PROJECT_NAME}_DRAW OFF CACHE BOOL "Build DRAWEXE" FORCE)
	MESSAGE("Warning : DRAW disabled when statically linking")
ENDIF(NOT ${PROJECT_NAME}_BUILD_SHARED_LIB AND ${PROJECT_NAME}_DRAW)

IF(${PROJECT_NAME}_DRAW AND NOT ${PROJECT_NAME}_DATAEXCHANGE)
	SET(${PROJECT_NAME}_DATAEXCHANGE ON CACHE BOOL "Build data exchange" FORCE)
ENDIF(${PROJECT_NAME}_DRAW AND NOT ${PROJECT_NAME}_DATAEXCHANGE)
IF(${PROJECT_NAME}_DATAEXCHANGE AND NOT ${PROJECT_NAME}_OCAF)
	SET(${PROJECT_NAME}_OCAF ON CACHE BOOL "Build application framework" FORCE)
ENDIF(${PROJECT_NAME}_DATAEXCHANGE AND NOT ${PROJECT_NAME}_OCAF)
IF(${PROJECT_NAME}_OCAF AND NOT ${PROJECT_NAME}_MODEL)
	SET(${PROJECT_NAME}_MODEL ON CACHE BOOL "Build model components" FORCE)
ENDIF(${PROJECT_NAME}_OCAF AND NOT ${PROJECT_NAME}_MODEL)
IF(${PROJECT_NAME}_VISUALISATION AND NOT ${PROJECT_NAME}_MODEL)
	SET(${PROJECT_NAME}_MODEL ON CACHE BOOL "Build model components" FORCE)
ENDIF(${PROJECT_NAME}_VISUALISATION AND NOT ${PROJECT_NAME}_MODEL)
IF(${PROJECT_NAME}_DRAW AND NOT ${PROJECT_NAME}_VISUALISATION)
	SET(${PROJECT_NAME}_VISUALISATION ON CACHE BOOL "Build visualisation component" FORCE)
ENDIF(${PROJECT_NAME}_DRAW AND NOT ${PROJECT_NAME}_VISUALISATION)

SET(INSTALL_STDRESOURCE_FILES)
SET(INSTALL_RESOURCE_FILES)
FILE(GLOB OS_TCL_SCRIPTS RELATIVE ${${PROJECT_NAME}_SOURCE_DIR} src/OS/*.tcl)
SET(INSTALL_RESOURCE_FILES ${INSTALL_RESOURCE_FILES}
	${OS_TCL_SCRIPTS}
	src/UnitsAPI/Lexi_Expr.dat
	src/UnitsAPI/Units.dat )
SET(INSTALL_STDRESOURCE_FILES ${INSTALL_STDRESOURCE_FILES}
	src/UnitsAPI/CurrentUnits
	src/UnitsAPI/MDTVBaseUnits
	src/UnitsAPI/MDTVCurrentUnits )

FIND_PACKAGE(Threads)
IF(${PROJECT_NAME}_MULTITHREAD_LIBRARY STREQUAL "TBB")
	FIND_PATH(TBB_INCLUDE_DIR tbb/tbb.h DOC "Location of header files for TBB (containing tbb/tbb.h)" ${CMAKE_SYSTEM_INCLUDE_PATH})
	IF(TBB_INCLUDE_DIR)
		IF(MSVC)
			IF(CMAKE_CL_64)
				SET(TBB_ARCH intel64)
			ELSE(CMAKE_CL_64)
				SET(TBB_ARCH ia32)
			ENDIF(CMAKE_CL_64)

			GET_FILENAME_COMPONENT(TBB_ROOT "${TBB_INCLUDE_DIR}/.." ABSOLUTE)
			IF(OCE_BUILD_SHARED_LIB)
				IF(MSVC80)
					SET(TBB_BIN_DIR "${TBB_ROOT}/bin/${TBB_ARCH}/vc8")
					SET(TBB_LIB_DIR "${TBB_ROOT}/lib/${TBB_ARCH}/vc8")
				ELSEIF(MSVC90)
					SET(TBB_BIN_DIR "${TBB_ROOT}/bin/${TBB_ARCH}/vc9")
					SET(TBB_LIB_DIR "${TBB_ROOT}/lib/${TBB_ARCH}/vc9")
				ELSEIF(MSVC10)
					SET(TBB_BIN_DIR "${TBB_ROOT}/bin/${TBB_ARCH}/vc10")
					SET(TBB_LIB_DIR "${TBB_ROOT}/lib/${TBB_ARCH}/vc10")
				ENDIF()
			ELSE(OCE_BUILD_SHARED_LIB)
				SET(TBB_LIB_DIR "${TBB_ROOT}/lib/${TBB_ARCH}/vc_mt")
			ENDIF(OCE_BUILD_SHARED_LIB)
		ENDIF(MSVC)

		FIND_LIBRARY( TBB_LIBRARY tbb PATHS "${TBB_LIB_DIR}" "Path to the TBB library" )
		IF (${PROJECT_NAME}_TBB_MALLOC_SUPPORT)
			FIND_LIBRARY( TBB_MALLOC_LIBRARY tbbmalloc PATHS "${TBB_LIB_DIR}" "Path to the TBB MALLOC library")

=== test/CMakeLists.txt ===
#
# The OCE unittest framework use GoogleTest 1.6.0 (aka GTest)
# The GTest source code is available in the /test/gtest-1.6.0 folder
#
SET(GTEST_ROOT ${CMAKE_CURRENT_SOURCE_DIR}/gtest-1.6.0)

INCLUDE_DIRECTORIES(${GTEST_ROOT}/include ${GTEST_ROOT})
ADD_LIBRARY(gtest STATIC ${GTEST_ROOT}/src/gtest-all.cc )
TARGET_LINK_LIBRARIES(gtest ${CMAKE_THREAD_LIBS_INIT})

IF (USE_SOLUTION_FOLDERS)
	SET_TARGET_PROPERTIES(gtest PROPERTIES FOLDER "Tests" )
ENDIF(USE_SOLUTION_FOLDERS)

# Copied from CMake
# Thanks to Daniel Blezek <blezek@gmail.com> for the GTEST_ADD_TESTS code
function(GTEST_ADD_TESTS executable extra_args)
    if(NOT ARGN)
        message(FATAL_ERROR "Missing ARGN: Read the documentation for GTEST_ADD_TESTS")
    endif()
    foreach(source ${ARGN})
        file(READ "${source}" contents)
        string(REGEX MATCHALL "TEST_?F?\\(([A-Za-z_0-9 ,]+)\\)" found_tests ${contents})
        foreach(hit ${found_tests})
            string(REGEX REPLACE ".*\\( *([A-Za-z_0-9]+), *([A-Za-z_0-9]+) *\\).*" "\\1.\\2" test_name ${hit})
            add_test(NAME ${test_name} COMMAND ${executable} --gtest_filter=${test_name} ${extra_args})
        endforeach()
    endforeach()
endfunction()

MACRO(ADD_OCE_TEST test_name libs)
  FILE(GLOB TEST_SOURCES *.cpp)
  SET(SOURCE_FILES ${TEST_SOURCES})
  ADD_EXECUTABLE(${test_name} ${SOURCE_FILES})
 
  IF (USE_SOLUTION_FOLDERS)
		SET_TARGET_PROPERTIES(${test_name} PROPERTIES FOLDER "Tests" )
  ENDIF(USE_SOLUTION_FOLDERS)
  
  FOREACH(LIB ${libs})
     TARGET_LINK_LIBRARIES(${test_name} ${LIB})
  ENDFOREACH(LIB ${libs})
  
  IF (${PROJECT_NAME}_COVERAGE)
    TARGET_LINK_LIBRARIES(${test_name} gcov gtest)
  ELSE (${PROJECT_NAME}_COVERAGE)
    TARGET_LINK_LIBRARIES(${test_name} gtest)
  ENDIF (${PROJECT_NAME}_COVERAGE)
  GTEST_ADD_TESTS(${test_name} "" ${SOURCE_FILES})
ENDMACRO(ADD_OCE_TEST test_name libs)

FILE(GLOB TEST_DIRECTORIES ./*_test gtest_sandbox)
SUBDIRS(${TEST_DIRECTORIES})

=== test/BRepAlgoAPI_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_MODEL)
    ADD_OCE_TEST(boolean_ops_test "TKPrim;TKBO")
ENDIF (${PROJECT_NAME}_MODEL)

=== test/BRepExtrema_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_MODEL)
    ADD_OCE_TEST(BRepExtrema_test "TKPrim")
ENDIF (${PROJECT_NAME}_MODEL)

=== test/BRepGProp_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_MODEL)
    ADD_OCE_TEST(BRepGProp_test "TKG2d;TKPrim;TKTopAlgo")
ENDIF (${PROJECT_NAME}_MODEL)

=== test/BRepImport_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_DATAEXCHANGE)
    SET(brep_file_1 ${CMAKE_SOURCE_DIR}/test/data/brep/15_cylinder_head.brep)
    SET(brep_file_2 ${CMAKE_SOURCE_DIR}/test/data/brep/27_leverarm.brep)
    SET(brep_file_3 ${CMAKE_SOURCE_DIR}/test/data/brep/29_misc1.brep)
    SET(brep_file_4 ${CMAKE_SOURCE_DIR}/test/data/brep/31_misc2.brep)

    CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/BRepImport_test_config.h.cmake ${CMAKE_BINARY_DIR}/test_inc/BRepImport_test_config.h )
    INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/test_inc)

    ADD_OCE_TEST(BRepImport_test "TKernel;TKSTEP")
ENDIF (${PROJECT_NAME}_DATAEXCHANGE)

=== test/BRepMesh_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_MODEL)
    ADD_OCE_TEST(BRepMesh_test "TKernel;TKBRep;TKMath;TKTopAlgo;TKPrim;TKMesh")
ENDIF (${PROJECT_NAME}_MODEL)

=== test/BRepOffsetAPI_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_MODEL)
    ADD_OCE_TEST(BRepOffsetAPI_test "TKOffset")
ENDIF (${PROJECT_NAME}_MODEL)

=== test/BRepPrimAPI_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_MODEL)
    ADD_OCE_TEST(BRepPrimAPI_test "TKPrim")
ENDIF (${PROJECT_NAME}_MODEL)

=== test/IGESImport_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_DATAEXCHANGE)
    SET(iges_file_1 ${CMAKE_SOURCE_DIR}/test/data/IGES/hammer.igs)

    CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/IGESImport_test_config.h.cmake ${CMAKE_BINARY_DIR}/test_inc/IGESImport_test_config.h )
    INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/test_inc)

    ADD_OCE_TEST(IGESImport_test "TKernel;TKIGES")
ENDIF (${PROJECT_NAME}_DATAEXCHANGE)

=== test/STEPImport_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_DATAEXCHANGE)
    SET(step_file_ap203_1 ${CMAKE_SOURCE_DIR}/test/data/STEP/as1-tu-203.stp)
    SET(step_file_ap203_2 ${CMAKE_SOURCE_DIR}/test/data/STEP/as1_pe_203.stp)
    SET(step_file_ap214_1 ${CMAKE_SOURCE_DIR}/test/data/STEP/as1-oc-214.stp)
    SET(step_file_ap214_2 ${CMAKE_SOURCE_DIR}/test/data/STEP/io1-cm-214.stp)
    SET(step_file_ap214_3 ${CMAKE_SOURCE_DIR}/test/data/STEP/sg1-c5-214.stp)

    CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/STEPImport_test_config.h.cmake ${CMAKE_BINARY_DIR}/test_inc/STEPImport_test_config.h )
    INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/test_inc)

    ADD_OCE_TEST(STEPImport_test "TKernel;TKSTEP")
ENDIF (${PROJECT_NAME}_DATAEXCHANGE)

=== test/Standard_StdAllocator_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_MODEL)
    ADD_OCE_TEST(Standard_StdAllocator_test "TKernel;TKPrim")
ENDIF (${PROJECT_NAME}_MODEL)

=== debian/changelog ===
oce (0.9.1-1) unstable; urgency=low

  [ Denis Barbier ]
  * New upstream version, based on OCCT 6.5.2.
  * debian/control: Bump sonames.
  * Fix FTBFS on Alpha (Closes: #656838)
    Thanks Michael Cree for the report and patch.

  [ Adam C. Powell, IV ]
  * Bumped Standards-Version
  * Removed obsolete source/lintian-overrides since lintian no longer checks
    for its two items.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sun, 26 Feb 2012 09:04:26 -0500

=== debian/control ===
Source: oce
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8), quilt, cmake,
 libx11-dev, libxmu-dev, libxext-dev, tcl8.5-dev, tk8.5-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 libftgl-dev, libgl2ps-dev
Homepage: https://github.com/tpaviot/oce/wiki
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/oce.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/oce.git

Package: liboce-foundation2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package contains foundation classes which provide a variety of
 general-purpose services such as automated management of heap memory,
 exception handling, classes for manipulating aggregates of data, basic
 math tools.
 .
 This package contains the following shared libraries:
   TKernel TKMath TKAdvTools

Package: liboce-modeling2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package supplies data structures to represent 2D and 3D geometric models,
 as well as topological and geometrical algorithms.
 .
 This package contains the following shared libraries:
   TKG2d TKG3d TKGeomBase TKBRep TKGeomAlgo TKTopAlgo TKPrim TKBO TKHLR
   TKMesh TKShHealing TKXMesh TKBool TKFillet TKFeat TKOffset TKSTL
   TKXSBase TKSTEPBase TKIGES TKSTEPAttr TKSTEP209 TKSTEP

Package: liboce-visualization2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package provides services for displaying 2D and 3D graphics.
 .
 This package contains the following shared libraries:
   TKService TKV2d TKV3d TKOpenGl TKMeshVS TKNIS TKVRML TKVoxel

Package: liboce-ocaf-lite2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package is part of the OpenCASCADE Application Framework, it
 provides shared libraries which have no dependency against X11.
 .
 This package contains the following shared libraries:
   TKCDF PTKernel TKLCAF FWOSPlugin TKPShape TKBinL TKXmlL
   TKPLCAF TKTObj TKShapeSchema TKStdLSchema

Package: liboce-ocaf2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package provides OpenCASCADE Application Framework services and 
 support for data exchange.
 .
 This package contains the following shared libraries:
   TKCAF TKBin TKXml TKPCAF TKBinTObj TKXmlTObj TKStdSchema
   TKXCAF TKXCAFSchema TKXmlXCAF TKBinXCAF TKXDEIGES TKXDESTEP

Package: oce-draw
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: opencascade-draw
Conflicts: opencascade-draw
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package contains the DRAW test harness.

Package: liboce-foundation-dev
Architecture: all
Section: libdevel
Depends: liboce-foundation2 (>= ${source:Upstream-Version}), liboce-foundation2 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-foundation-dev
Conflicts: libopencascade-foundation-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-foundation2.

Package: liboce-modeling-dev
Architecture: all
Section: libdevel
Depends: liboce-foundation-dev,
         liboce-modeling2 (>= ${source:Upstream-Version}), liboce-modeling2 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-modeling-dev
Conflicts: libopencascade-modeling-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-modeling2.

Package: liboce-ocaf-lite-dev
Architecture: all
Section: libdevel
Depends: liboce-foundation-dev,
         liboce-modeling-dev,
         liboce-ocaf-lite2 (>= ${source:Upstream-Version}), liboce-ocaf-lite2 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-ocaf-lite-dev
Conflicts: libopencascade-ocaf-lite-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-ocaf-lite2.

Package: liboce-ocaf-dev
Architecture: all
Section: libdevel
Depends: liboce-foundation-dev,
         liboce-modeling-dev,
         liboce-ocaf-lite-dev,
         liboce-ocaf2 (>= ${source:Upstream-Version}), liboce-ocaf2 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-ocaf-dev
Conflicts: libopencascade-ocaf-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-ocaf2.

Package: liboce-visualization-dev
Architecture: all
Section: libdevel
Depends: liboce-foundation-dev,
         liboce-modeling-dev,
         liboce-ocaf-lite-dev,
         liboce-visualization2 (>= ${source:Upstream-Version}), liboce-visualization2 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-ocaf-lite-dev
Conflicts: libopencascade-ocaf-lite-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-visualization2.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --parallel --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
        -DOCE_BUILD_SHARED_LIB:BOOL=ON \
        -DOCE_BUILD_TYPE:STRING=Release \
        -DOCE_INSTALL_PREFIX:PATH=/usr \
        -DOCE_DRAW:BOOL=ON \
        -DOCE_RPATH_FILTER_SYSTEM_PATHS:BOOL=ON \
        -DOCE_MULTITHREAD_LIBRARY:STRING=NONE \
        -DOCE_WITH_FREEIMAGE:BOOL=ON \
        -DOCE_WITH_GL2PS:BOOL=ON

override_dh_auto_install:
	dh_auto_install
	# Improve integration in Debian desktop
	install -d debian/tmp/usr/share/applications
	cp -p debian/oce-draw.desktop debian/tmp/usr/share/applications/
	install -d debian/tmp/usr/share/pixmaps
	cp -p debian/occ-icon-32.xpm debian/tmp/usr/share/pixmaps/
	install -d debian/tmp/usr/share/man/man1
	# Install manual page
	cp -p debian/DRAWEXE.1 debian/tmp/usr/share/man/man1/
	find debian/tmp/usr/share -name FILES -exec rm -f {} \;

override_dh_install:
	dh_install --list-missing
	rm -rf debian/oce-draw/usr/include

override_dh_makeshlibs:
	dh_makeshlibs -Noce-draw

=== debian/watch ===
version=3
http://githubredir.debian.net/github/tpaviot/oce /github/tpaviot/oce/OCE-(.*).tar.gz
